> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_mark_price_history

> Retrieves 5-minute historical mark price data for an instrument. Mark prices are used for margin calculations and position valuations.

**Note:** Currently, mark price history is available only for a subset of options that participate in volatility index calculations. All other instruments, including futures and perpetuals, will return an empty list.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_mark_price_history)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_mark_price_history
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_mark_price_history:
    get:
      tags:
        - Market Data
        - Mark Price
        - Public
      description: >+
        Retrieves 5-minute historical mark price data for an instrument. Mark
        prices are used for margin calculations and position valuations.


        **Note:** Currently, mark price history is available only for a subset
        of options that participate in volatility index calculations. All other
        instruments, including futures and perpetuals, will return an empty
        list.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_mark_price_history)

      parameters:
        - description: Instrument name
          in: query
          name: instrument_name
          required: true
          schema:
            $ref: '#/components/schemas/instrument_name'
        - description: >-
            The earliest timestamp to return result from (milliseconds since the
            UNIX epoch)
          in: query
          name: start_timestamp
          required: true
          schema:
            $ref: '#/components/schemas/timestamp'
        - description: >-
            The most recent timestamp to return result from (milliseconds since
            the UNIX epoch)
          in: query
          name: end_timestamp
          required: true
          schema:
            $ref: '#/components/schemas/timestamp'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: public/get_mark_price_history
                  params:
                    end_timestamp: 1609376810000
                    instrument_name: BTC-25JUN21-50000-C
                    start_timestamp: 1609376800000
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetMarkPriceHistoryResponse'
components:
  schemas:
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    PublicGetMarkPriceHistoryResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          description: >-
            Markprice history values as an array of arrays with 2 values each.
            The inner values correspond to the timestamp in ms and the markprice
            itself.
          type: array
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetMarkPriceHistoryResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 25
                jsonrpc: '2.0'
                result:
                  - - 1608142381229
                    - 0.5165791606037885
                  - - 1608142380231
                    - 0.5165737855432504
                  - - 1608142379227
                    - 0.5165768236356326
          schema:
            $ref: '#/components/schemas/PublicGetMarkPriceHistoryResponse'
      description: Success response

````